Bug 981254 - NPE when removing shared disk
NPE when removing shared disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Allon Mureinik
Meital Bourvine
storage
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 06:19 EDT by Ohad Basan
Modified: 2016-02-10 15:52 EST (History)
11 users (show)

See Also:
Fixed In Version: is5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ohad Basan 2013-07-04 06:19:52 EDT
Description of problem:
NPE is being thrown when removing shared disk

2013-07-04 13:04:37,056 - MainThread - plmanagement.error_fetcher - ERROR - Errors fetched from VDC(jenkins-automation-rpm-vm09.eng.lab.tlv.redhat.com): 2013-07-04 13:04:36,616 ERROR [org.ovirt.engine.core.bll.RemoveDiskCommand] (ajp-/127.0.0.1:8702-1) [62b04947] Error during CanDoActionFailure.: java.lang.NullPointerException
	at org.ovirt.engine.core.bll.RemoveDiskCommand.getSharedLocks(RemoveDiskCommand.java:360) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.buildLock(CommandBase.java:1556) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.acquireLockInternal(CommandBase.java:1517) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.acquireLock(CommandBase.java:1490) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.internalCanDoAction(CommandBase.java:680) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:311) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:348) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.RunAction(Backend.java:301) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor152.invoke(Unknown Source) [:1.7.0_25]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_25]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_25]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.2.0.Final-redhat-8]
Comment 4 Allon Mureinik 2013-07-04 12:41:03 EDT
According to the provided link, this was done vs. commit I0f6aec5aa512638c2dbfaa567784f295d01e5ac9 in ovirt-engine.

This is obviously NOT the code being run, as in this commit line 360 of RemoveDiskCommand is empty.
This error does, however, perfectly match a bug introduced in 85fb3b84feb30192d1098a96b1cfca3d0a806ea8, which was solved by Ibcce291f0e410d5d603c45cb9f9cf21c740de2f1.

Moving to MODIFIED unless a more accurate commit hash can be provided
Comment 6 Itamar Heim 2014-01-21 17:29:46 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:29:47 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:32:48 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.